import React from 'react';
import { IAmauiTheme } from '@amaui/style/amaui-theme';
import { AmauiThemeRequired } from '../style';
export interface IAmauiThemeProviderValue extends AmauiThemeRequired {
    updateWithRerender: (value: IAmauiTheme) => AmauiThemeRequired;
}
interface IAmauiThemeProvider extends React.HTMLAttributes<any> {
    root?: boolean;
    value?: IAmauiTheme;
    addCssVariables?: boolean;
    children?: any;
}
declare const AmauiThemeProvider: React.ForwardRefExoticComponent<IAmauiThemeProvider & React.RefAttributes<unknown>>;
export default AmauiThemeProvider;
